| readline-1.0.1.0: An interface to the GNU readline library | Source code | Contents | Index

System.Console.SimpleLineEditor

Portability | non-portable (unix-specific at the moment)
Stability | experimental
Maintainer | libraries@haskell.org

Description
A simple line editor, using the GNU readline library if available, or a small emulation otherwise.
Synopsis

initialise :: IO ()
restore :: IO ()
getLineEdited :: String -> IO (Maybe String)
delChars :: String -> IO ()

Documentation

initialise :: IO () | Source

Set up the environment so that the terminal passes characters directly into the Haskell program, for immediate interpretation by the line editor.

restore :: IO () | Source

Restore the environment so that the terminal is usable in normal mode once again.

getLineEdited :: String -> IO (Maybe String) | Source

delChars :: String -> IO () | Source

Remove the given string from immediately behind (to the left of) the current cursor position.
Produced by Haddock version 0.9